package intrinsic.flash.filters;

public class DisplacementMapFilter extends intrinsic.flash.filters.BitmapFilter {

	/** Accessors */
	public intrinsic.flash.display.BitmapData mapBitmap;
	public double scaleY;
	public String mode;
	public int color;
	public intrinsic.flash.geom.Point mapPoint;
	public int componentX;
	public double alpha;
	public double scaleX;
	public int componentY;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DisplacementMapFilter() {
}

public DisplacementMapFilter(Object arg0) {
}

public DisplacementMapFilter(Object arg0, Object arg1) {
}

public DisplacementMapFilter(Object arg0, Object arg1, Object arg2) {
}

public DisplacementMapFilter(Object arg0, Object arg1, Object arg2, Object arg3) {
}

public DisplacementMapFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public DisplacementMapFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public DisplacementMapFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
}

public DisplacementMapFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
}

public DisplacementMapFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
